> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# クイックスタート

> 簡単な3つのステップでMixroute APIの利用を開始

## ステップ1：アカウントの作成

[**MixRoute**](https://api.mixroute.ai)にアクセスするか、右上の\[はじめる]をクリックしてアカウントを作成します。

* **ステップ1：** 右上の **「新規登録」** をクリックします。
* **ステップ2:** メールアドレスを入力し、パスワードを設定して、認証を完了してください。
* **ステップ3:** **「ウォレット管理」** に移動し、チャージを完了します（Stripeに対応）。

<Info>
  新規ユーザーには、登録時に\$5の無料クレジットが付与されます。
</Info>

## ステップ2: APIキーの作成

1. ナビゲーションの「トークン管理」をクリックします。
2. 「トークンを追加」をクリック
3. 「送信」をクリックしてキーを生成

## ステップ3: 呼び出しを開始する

### 3.1 接続情報

| 設定 | 値 |
| - | - |
| API URL（ベースURL） | `https://api.mixroute.ai/v1` |
| APIキー | 作成したキー |
| リクエスト形式 | OpenAI APIと完全互換 |

### 3.2 テスト呼び出し

cURLで簡単にテスト:

```bash theme={null}
curl https://api.mixroute.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "gpt-5.5",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

### 3.3 コード例

<Tabs>
  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(
        api_key="YOUR_API_KEY",
        base_url="https://api.mixroute.ai/v1"
    )

    response = client.chat.completions.create(
        model="gpt-5.5",
        messages=[
            {"role": "user", "content": "Hello!"}
        ]
    )

    print(response.choices[0].message.content)
    ```
  </Tab>

  <Tab title="Node.js">
    ```javascript theme={null}
    import OpenAI from 'openai';

    const openai = new OpenAI({
      apiKey: 'YOUR_API_KEY',
      baseURL: 'https://api.mixroute.ai/v1'
    });

    const response = await openai.chat.completions.create({
      model: 'gpt-5.5',
      messages: [{ role: 'user', content: 'Hello!' }]
    });

    console.log(response.choices[0].message.content);
    ```
  </Tab>

  <Tab title="Java">
    ```java theme={null}
    OpenAiService service = new OpenAiService(
        "YOUR_API_KEY", 
        Duration.ofSeconds(60), 
        "https://api.mixroute.ai/v1"
    );

    ChatCompletionRequest request = ChatCompletionRequest.builder()
        .model("gpt-5.5")
        .messages(List.of(
            new ChatMessage(ChatMessageRole.USER, "Hello!")
        ))
        .build();

    ChatCompletionResult result = service.createChatCompletion(request);
    System.out.println(result.getChoices().get(0).getMessage().getContent());
    ```
  </Tab>
</Tabs>

## 次のステップ

これでMixRoute APIの設定が完了しました。次のことができます。

<CardGroup cols={2}>
  <Card title="APIドキュメントを見る" icon="book" href="https://mixroute.ai" cta="詳細を見る">
    API仕様の全体を確認する
  </Card>

  <Card title="連携" icon="puzzle-piece" href="https://mixroute.ai" cta="詳細を見る">
    さまざまなツールとMixRoute APIを連携
  </Card>
</CardGroup>

<Tip>
  APIキーを安全に保管し、コンソールの使用ログを定期的に確認してコストを最適化しましょう。コーディングをお楽しみください！
</Tip>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.